package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag205common;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT205Creator;

import java.util.LinkedList;

public class Tag13CCreator extends AbsTagCreate {
    private MT205Creator mt205Creator;

    public Tag13CCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt205Creator = (MT205Creator) absMTCreator;
    }

    @Override
    public void creator() {
        LinkedList tag13CValue = mt205Creator.getTimeIndication();
        mt205Creator.set("13C",tag13CValue,true);
    }
}
